# drop the old countries table.
DROP TABLE IF EXISTS countries;

#Create countries table with new schema
CREATE TABLE countries (
  id      CHAR(2) COLLATE utf8_unicode_ci    NOT NULL COMMENT '2 character code.',
  iso3    CHAR(3) COLLATE utf8_unicode_ci    NOT NULL COMMENT '3 character code.',
  country VARCHAR(200) CHARSET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of the country.',
  PRIMARY KEY (id),
  UNIQUE KEY code3 (iso3),
  UNIQUE KEY country (country)
)
  ENGINE = MyISAM
  DEFAULT CHARSET = utf8
  COLLATE = utf8_unicode_ci;

# Inserting country data.
INSERT INTO countries (id, iso3, country) VALUES
 ("AF", "AFG", "Islamic Republic of Afghanistan"),
 ("AX", "ALA", "Åland Islands"),
 ("AL", "ALB", "Republic of Albania"),
 ("DZ", "DZA", "People's Democratic Republic of Algeria"),
 ("AS", "ASM", "American Samoa"),
 ("AD", "AND", "Principality of Andorra"),
 ("AO", "AGO", "Republic of Angola"),
 ("AI", "AIA", "Anguilla"),
 ("AQ", "ATA", "Antarctica"),
 ("AG", "ATG", "Antigua and Barbuda"),
 ("AR", "ARG", "Argentine Republic"),
 ("AM", "ARM", "Republic of Armenia"),
 ("AW", "ABW", "Aruba"),
 ("AU", "AUS", "Commonwealth of Australia"),
 ("AT", "AUT", "Republic of Austria"),
 ("AZ", "AZE", "Republic of Azerbaijan"),
 ("BS", "BHS", "Commonwealth of The Bahamas"),
 ("BH", "BHR", "Kingdom of Bahrain"),
 ("BD", "BGD", "People's Republic of Bangladesh"),
 ("BB", "BRB", "Barbados"),
 ("BY", "BLR", "Republic of Belarus"),
 ("BE", "BEL", "Kingdom of Belgium"),
 ("BZ", "BLZ", "Belize"),
 ("BJ", "BEN", "Republic of Benin"),
 ("BM", "BMU", "Bermuda Islands"),
 ("BT", "BTN", "Kingdom of Bhutan"),
 ("BO", "BOL", "Plurinational State of Bolivia"),
 ("BQ", "BES", "Bonaire, Sint Eustatius AND Saba"),
 ("BA", "BIH", "Bosnia AND Herzegovina"),
 ("BW", "BWA", "Republic of Botswana"),
 ("BV", "BVT", "Bouvet Island"),
 ("BR", "BRA", "Federative Republic of Brazil"),
 ("IO", "IOT", "British Indian Ocean Territory"),
 ("BN", "BRN", "Brunei Darussalam"),
 ("BG", "BGR", "Republic of Bulgaria"),
 ("BF", "BFA", "Burkina Faso"),
 ("BI", "BDI", "Republic of Burundi"),
 ("KH", "KHM", "Kingdom of Cambodia"),
 ("CM", "CMR", "Republic of Cameroon"),
 ("CA", "CAN", "Canada"),
 ("CV", "CPV", "Republic of Cape Verde"),
 ("KY", "CYM", "The Cayman Islands"),
 ("CF", "CAF", "Central African Republic"),
 ("TD", "TCD", "Republic of Chad"),
 ("CL", "CHL", "Republic of Chile"),
 ("CN", "CHN", "People's Republic of China"),
 ("CX", "CXR", "Christmas Island"),
 ("CC", "CCK", "Cocos (Keeling) Islands"),
 ("CO", "COL", "Republic of Colombia"),
 ("KM", "COM", "Union of the Comoros"),
 ("CG", "COG", "Republic of the Congo"),
 ("CK", "COK", "Cook Islands"),
 ("CR", "CRI", "Republic of Costa Rica"),
 ("CI", "CIV", "Republic of Côte D'Ivoire (Ivory Coast)"),
 ("HR", "HRV", "Republic of Croatia"),
 ("CU", "CUB", "Republic of Cuba"),
 ("CW", "CUW", "Curaçao"),
 ("CY", "CYP", "Republic of Cyprus"),
 ("CZ", "CZE", "Czech Republic"),
 ("CD", "COD", "Democratic Republic of the Congo"),
 ("DK", "DNK", "Kingdom of Denmark"),
 ("DJ", "DJI", "Republic of Djibouti"),
 ("DM", "DMA", "Commonwealth of Dominica"),
 ("DO", "DOM", "Dominican Republic"),
 ("EC", "ECU", "Republic of Ecuador"),
 ("EG", "EGY", "Arab Republic of Egypt"),
 ("SV", "SLV", "Republic of El Salvador"),
 ("GQ", "GNQ", "Republic of Equatorial Guinea"),
 ("ER", "ERI", "State of Eritrea"),
 ("EE", "EST", "Republic of Estonia"),
 ("ET", "ETH", "Federal Democratic Republic of Ethiopia"),
 ("FK", "FLK", "The Falkland Islands (Malvinas)"),
 ("FO", "FRO", "The Faroe Islands"),
 ("FJ", "FJI", "Republic of Fiji"),
 ("FI", "FIN", "Republic of Finland"),
 ("FR", "FRA", "French Republic"),
 ("GF", "GUF", "French Guiana"),
 ("PF", "PYF", "French Polynesia"),
 ("TF", "ATF", "French Southern Territories"),
 ("GA", "GAB", "Gabonese Republic"),
 ("GM", "GMB", "Republic of The Gambia"),
 ("GE", "GEO", "Georgia"),
 ("DE", "DEU", "Federal Republic of Germany"),
 ("GH", "GHA", "Republic of Ghana"),
 ("GI", "GIB", "Gibraltar"),
 ("GR", "GRC", "Hellenic Republic"),
 ("GL", "GRL", "Greenland"),
 ("GD", "GRD", "Grenada"),
 ("GP", "GLP", "Guadeloupe"),
 ("GU", "GUM", "Guam"),
 ("GT", "GTM", "Republic of Guatemala"),
 ("GG", "GGY", "Guernsey"),
 ("GN", "GIN", "Republic of Guinea"),
 ("GW", "GNB", "Republic of Guinea-Bissau"),
 ("GY", "GUY", "Co-operative Republic of Guyana"),
 ("HT", "HTI", "Republic of Haiti"),
 ("HM", "HMD", "Heard Island AND McDonald Islands"),
 ("HN", "HND", "Republic of Honduras"),
 ("HK", "HKG", "Hong Kong"),
 ("HU", "HUN", "Hungary"),
 ("IS", "ISL", "Republic of Iceland"),
 ("IN", "IND", "Republic of India"),
 ("ID", "IDN", "Republic of Indonesia"),
 ("IR", "IRN", "Islamic Republic of Iran"),
 ("IQ", "IRQ", "Republic of Iraq"),
 ("IE", "IRL", "Ireland"),
 ("IM", "IMN", "Isle of Man"),
 ("IL", "ISR", "State of Israel"),
 ("IT", "ITA", "Italian Republic"),
 ("JM", "JAM", "Jamaica"),
 ("JP", "JPN", "Japan"),
 ("JE", "JEY", "The Bailiwick of Jersey"),
 ("JO", "JOR", "Hashemite Kingdom of Jordan"),
 ("KZ", "KAZ", "Republic of Kazakhstan"),
 ("KE", "KEN", "Republic of Kenya"),
 ("KI", "KIR", "Republic of Kiribati"),
 ("XK", "XKX", "Republic of Kosovo"),
 ("KW", "KWT", "State of Kuwait"),
 ("KG", "KGZ", "Kyrgyz Republic"),
 ("LA", "LAO", "Lao People's Democratic Republic"),
 ("LV", "LVA", "Republic of Latvia"),
 ("LB", "LBN", "Republic of Lebanon"),
 ("LS", "LSO", "Kingdom of Lesotho"),
 ("LR", "LBR", "Republic of Liberia"),
 ("LY", "LBY", "Libya"),
 ("LI", "LIE", "Principality of Liechtenstein"),
 ("LT", "LTU", "Republic of Lithuania"),
 ("LU", "LUX", "Grand Duchy of Luxembourg"),
 ("MO", "MAC", "The Macao Special Administrative Region"),
 ("MK", "MKD", "The Former Yugoslav Republic of Macedonia"),
 ("MG", "MDG", "Republic of Madagascar"),
 ("MW", "MWI", "Republic of Malawi"),
 ("MY", "MYS", "Malaysia"),
 ("MV", "MDV", "Republic of Maldives"),
 ("ML", "MLI", "Republic of Mali"),
 ("MT", "MLT", "Republic of Malta"),
 ("MH", "MHL", "Republic of the Marshall Islands"),
 ("MQ", "MTQ", "Martinique"),
 ("MR", "MRT", "Islamic Republic of Mauritania"),
 ("MU", "MUS", "Republic of Mauritius"),
 ("YT", "MYT", "Mayotte"),
 ("MX", "MEX", "United Mexican States"),
 ("FM", "FSM", "Federated States of Micronesia"),
 ("MD", "MDA", "Republic of Moldova"),
 ("MC", "MCO", "Principality of Monaco"),
 ("MN", "MNG", "Mongolia"),
 ("ME", "MNE", "Montenegro"),
 ("MS", "MSR", "Montserrat"),
 ("MA", "MAR", "Kingdom of Morocco"),
 ("MZ", "MOZ", "Republic of Mozambique"),
 ("MM", "MMR", "Republic of the Union of Myanmar"),
 ("NA", "NAM", "Republic of Namibia"),
 ("NR", "NRU", "Republic of Nauru"),
 ("NP", "NPL", "Federal Democratic Republic of Nepal"),
 ("NL", "NLD", "Kingdom of the Netherlands"),
 ("NC", "NCL", "New Caledonia"),
 ("NZ", "NZL", "New Zealand"),
 ("NI", "NIC", "Republic of Nicaragua"),
 ("NE", "NER", "Republic of Niger"),
 ("NG", "NGA", "Federal Republic of Nigeria"),
 ("NU", "NIU", "Niue"),
 ("NF", "NFK", "Norfolk Island"),
 ("KP", "PRK", "Democratic People's Republic of Korea"),
 ("MP", "MNP", "Northern Mariana Islands"),
 ("NO", "NOR", "Kingdom of Norway"),
 ("OM", "OMN", "Sultanate of Oman"),
 ("PK", "PAK", "Islamic Republic of Pakistan"),
 ("PW", "PLW", "Republic of Palau"),
 ("PS", "PSE", "State of Palestine (OR Occupied Palestinian Territory)"),
 ("PA", "PAN", "Republic of Panama"),
 ("PG", "PNG", "Independent State of Papua New Guinea"),
 ("PY", "PRY", "Republic of Paraguay"),
 ("PE", "PER", "Republic of Peru"),
 ("PH", "PHL", "Republic of the Philippines"),
 ("PN", "PCN", "Pitcairn"),
 ("PL", "POL", "Republic of Poland"),
 ("PT", "PRT", "Portuguese Republic"),
 ("PR", "PRI", "Commonwealth of Puerto Rico"),
 ("QA", "QAT", "State of Qatar"),
 ("RE", "REU", "Réunion"),
 ("RO", "ROU", "Romania"),
 ("RU", "RUS", "Russian Federation"),
 ("RW", "RWA", "Republic of Rwanda"),
 ("BL", "BLM", "Saint Barthélemy"),
 ("SH", "SHN", "Saint Helena, Ascension AND Tristan da Cunha"),
 ("KN", "KNA", "Federation of Saint Christopher AND Nevis"),
 ("LC", "LCA", "Saint Lucia"),
 ("MF", "MAF", "Saint Martin"),
 ("PM", "SPM", "Saint Pierre AND Miquelon"),
 ("VC", "VCT", "Saint Vincent AND the Grenadines"),
 ("WS", "WSM", "Independent State of Samoa"),
 ("SM", "SMR", "Republic of San Marino"),
 ("ST", "STP", "Democratic Republic of São Tomé AND Príncipe"),
 ("SA", "SAU", "Kingdom of Saudi Arabia"),
 ("SN", "SEN", "Republic of Senegal"),
 ("RS", "SRB", "Republic of Serbia"),
 ("SC", "SYC", "Republic of Seychelles"),
 ("SL", "SLE", "Republic of Sierra Leone"),
 ("SG", "SGP", "Republic of Singapore"),
 ("SX", "SXM", "Sint Maarten"),
 ("SK", "SVK", "Slovak Republic"),
 ("SI", "SVN", "Republic of Slovenia"),
 ("SB", "SLB", "Solomon Islands"),
 ("SO", "SOM", "Somali Republic"),
 ("ZA", "ZAF", "Republic of South Africa"),
 ("GS", "SGS", "South Georgia AND the South Sandwich Islands"),
 ("KR", "KOR", "Republic of Korea"),
 ("SS", "SSD", "Republic of South Sudan"),
 ("ES", "ESP", "Kingdom of Spain"),
 ("LK", "LKA", "Democratic Socialist Republic of Sri Lanka"),
 ("SD", "SDN", "Republic of the Sudan"),
 ("SR", "SUR", "Republic of Suriname"),
 ("SJ", "SJM", "Svalbard AND Jan Mayen"),
 ("SZ", "SWZ", "Kingdom of Swaziland"),
 ("SE", "SWE", "Kingdom of Sweden"),
 ("CH", "CHE", "Swiss Confederation"),
 ("SY", "SYR", "Syrian Arab Republic"),
 ("TW", "TWN", "Republic of China (Taiwan)"),
 ("TJ", "TJK", "Republic of Tajikistan"),
 ("TZ", "TZA", "United Republic of Tanzania"),
 ("TH", "THA", "Kingdom of Thailand"),
 ("TL", "TLS", "Democratic Republic of Timor-Leste"),
 ("TG", "TGO", "Togolese Republic"),
 ("TK", "TKL", "Tokelau"),
 ("TO", "TON", "Kingdom of Tonga"),
 ("TT", "TTO", "Republic of Trinidad AND Tobago"),
 ("TN", "TUN", "Republic of Tunisia"),
 ("TR", "TUR", "Republic of Turkey"),
 ("TM", "TKM", "Turkmenistan"),
 ("TC", "TCA", "Turks AND Caicos Islands"),
 ("TV", "TUV", "Tuvalu"),
 ("UG", "UGA", "Republic of Uganda"),
 ("UA", "UKR", "Ukraine"),
 ("AE", "ARE", "United Arab Emirates"),
 ("GB", "GBR", "United Kingdom of Great Britain AND Nothern Ireland"),
 ("US", "USA", "United States of America"),
 ("UM", "UMI", "United States Minor Outlying Islands"),
 ("UY", "URY", "Eastern Republic of Uruguay"),
 ("UZ", "UZB", "Republic of Uzbekistan"),
 ("VU", "VUT", "Republic of Vanuatu"),
 ("VA", "VAT", "State of the Vatican City"),
 ("VE", "VEN", "Bolivarian Republic of Venezuela"),
 ("VN", "VNM", "Socialist Republic of Vietnam"),
 ("VG", "VGB", "British Virgin Islands"),
 ("VI", "VIR", "Virgin Islands of the United States"),
 ("WF", "WLF", "Wallis AND Futuna"),
 ("EH", "ESH", "Western Sahara"),
 ("YE", "YEM", "Republic of Yemen"),
 ("ZM", "ZMB", "Republic of Zambia"),
 ("ZW", "ZWE", "Republic of Zimbabwe");
